BLKDISCARD(8)

NUME
blkdiscard - elimină sectoarele de pe un dispozitiv

REZUMAT

blkdiscard [opțiuni] [-o poziția] [-l lungimea] dispozitiv

DESCRIERE

blkdiscard is used to discard device sectors. This is useful for solid-state drives (SSDs) and thinly-provisioned storage. Unlike fstrim(8), this command is used directly on the block device.

În mod implicit, blkdiscard va elimina toate blocurile de pe dispozitiv. Opțiunile pot fi utilizate pentru a modifica acest comportament în funcție de interval sau dimensiune, după cum se explică mai jos.

Argumentul dispozitiv este numele de rută al dispozitivului de bloc.

Atenție: Toate datele din regiunea eliminată de pe dispozitiv vor fi pierdute!

Începând cu util-linux v2.41, fdisk are capacitatea de a elimina sectoare atât pe partiții, cât și pe zone nepartiționate, utilizând comanda „T”. În plus, sfdisk are opțiunea „--discard-free” pentru a elimina zonele nepartiționate.

OPȚIUNI

Mai jos, argumentele poziție și lungime pot fi urmate de sufixele multiplicative KiB (=1024), MiB (=1024*1024), și așa mai departe pentru GiB, TiB, PiB, EiB, ZiB și YiB („iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”), sau sufixele KB (=1000), MB (=1000*1000) și așa mai departe pentru GB, TB, PB, EB, ZB și YB.

-f, --force
    Dezactivează toate verificările. Începând cu versiunea v2.36, dispozitivul de blocuri este deschis în mod implicit în modul exclusiv (O_EXCL) pentru a evita coliziunea cu un sistem de fișiere montat sau cu un alt subsistem al nucleului. Opțiunea --force dezactivează modul de acces exclusiv.

-o, --offset poziția
    Poziția octetului în dispozitiv de la care se începe eliminarea. Valoarea furnizată trebuie să fie aliniată la dimensiunea sectorului dispozitivului. Valoarea implicită este zero.

-l, --length lungimea
    Numărul de octeți care trebuie eliminați (numărând de la punctul de plecare). Valoarea furnizată trebuie să fie aliniată la dimensiunea sectorului dispozitivului. În cazul în care valoarea specificată depășește capătul dispozitivului, blkdiscard se va opri la limita dimensiunii dispozitivului. Valoarea implicită se extinde până la sfârșitul dispozitivului.

-p, --step lungimea
    Numărul de octeți care trebuie înlăturați în cadrul unei iterații. Valoarea implicită este de a-i elimina pe toți printr-un singur apel ioctl.

-q, --quiet
    Suprimă mesajele de avertizare.

-s, --secure
    Efectuează o eliminare sigură. O eliminare sigură este la fel ca o eliminare obișnuită, cu excepția faptului că toate copiile blocurilor eliminate care au fost eventual create de colectarea gunoiului trebuie, de asemenea, șterse. Acest lucru necesită asistență din partea dispozitivului.

-z, --zeroout
    Umple cu zerouri în loc să elimine.

-v, --verbose
    Afișează valorile aliniate ale poziției și lungimii. Dacă este specificată opțiunea --step, se afișează progresul eliminării la fiecare secundă.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

blkdiscard are următoarele valori de stare de ieșire:

0
    succes

1
    eșec; invocare incorectă, permisiuni sau orice altă eroare generică

2
    eșec; începând cu v2.39, dispozitivul nu mai suportă operația de eliminare

AUTORI

CONSULTAȚI ȘI

fstrim(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda blkdiscard face parte din pachetul util-linux care poate fi descărcat de la